package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UserDTO;

/**
 * @author guojx
 * @date 2019/7/16 6:48 PM
 */
public interface UserApiService {

    /**
     * 新增用户
     * @param userDTO
     * @return
     */
    ServiceResponse<Integer> saveUser(UserDTO userDTO);

    /**
     * 编辑
     * @param userDTO
     * @return
     */
    ServiceResponse editUser(UserDTO userDTO);

    ServiceResponse<UserDTO> getUserById(Integer userId);

    /**
     * 企业查询超级管理员
     * @param enterpriseId
     * @return
     */
    ServiceResponse<UserDTO> getUserByEnterpriseId(Integer enterpriseId);
}
